

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

#header{
  /* background-color: rgba(27, 40, 69, .5)
  ; */
  padding: 0;
  margin: 0;
  color:#FFFFFF;
  
  
}

#btn-swap2{
  z-index: 5;
  font-family: 'Rubik', sans-serif;
  background-color: rgb(12, 20, 39);
  font-size: 20px;
  color: white;
  height: 45px;
  background-color: ;
  margin-top: 20px;
  padding-top: 0px;
  border: solid 3px #abe4ff;
  transition: border-width 0.6s linear;
}

#btn-swap2 .text{
  padding-top: 3px;
  text-align: center;
  background-color: #4158D0;

  background: linear-gradient(to right, #a7b5ff 20%, #C850C0 40%, #FFCC70 60%, #a7b5ff 80%);  
  background-size: 200% auto;
  
  color: #000;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  animation: shine 4s ease-out infinite;

  
}

#btn-swap{
  z-index: 5;
  font-family: 'Rubik', sans-serif;
  margin-top: 25px;
  padding: 10px;
  background-color: rgb(12, 20, 39);
  position: absolute;
  font-size: 20px;
  left: 50%;
  color: white;
  height: 60px;
  background-color: ;
  transform: translate(-50%, -50%);

  
  border: solid 3px #abe4ff;
  transition: border-width 0.6s linear;
}

#btn-swap .text{
  padding-top: 3px;
  text-align: center;
  background-color: #4158D0;

  background: linear-gradient(to right, #a7b5ff 20%, #C850C0 40%, #FFCC70 60%, #a7b5ff 80%);  
  background-size: 200% auto;
  
  color: #000;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  animation: shine 4s ease-out infinite;

  
}

#body-container{
  position: absolute;
  top: 40%;
  left: 50%;
  color: white;
  margin: 0;
  padding: 0%;
  transform: translate(-50%, -50%);

}

#body-container2{
  position: relative;
  background-color: #21264F;
  z-index: 9;
  color: white;
  width: 100%;
  height: 100vh;
  margin: 0;
}

#body-container2 .container2-content-holder{
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.container3-content-holder{
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#main-card{
  color: white;
  background: rgb(62,62,62);
background: linear-gradient(180deg, rgba(62,62,62,1) 13%, rgba(33,33,33,1) 100%);
  width: 450px;
  height: 320px;
  border: solid 2px #81E429;
  border-radius: 15px;
}

#card-holder{
  position: relative;
  margin: 0;
  padding: 0;
}


#body-container3{
  position: relative;
  z-index: 9;
  color: white;
  height: 100vh;
  width: 100%;
  background-color: #263e5d;
  height: auto;
  margin: 0;
}


#footer{
  background-color: rgba(27, 40, 69, 1);
  color: white;
  text-align: center;
  padding: 20px;
  position: relative;
  left: 0;
  bottom: 0;
  z-index: 111;
  height: auto;
  width: 100%;
}

#header .company-name{
  color:#FFFFFF;
  font-size: 25px;
}

.avatar {
  z-index: 5;
  position: absolute;
  top: 20%;
  right: 20px;
	width: 100px;
	height: 100px;
	box-sizing: border-box;
	border-radius: 50%;
	overflow: hidden;
	box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
	transform: translatey(0px);
  opacity: .8;
	animation: float 5s ease-in-out infinite;
	img { width: 100%; height: auto; }
}

#main-container{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60%;
  height: auto;
  margin-bottom: 50px;
}

#main-container h2{
  color: white;
  font-weight: 800;
  text-align: center;
}
#main-container h1{
  color: white;
  font-weight: 800;
}

#wallet-balance-text{
  text-align: center;
  margin-top: 20px;
}

.input-stake{
  margin-top: 20px;
  margin-bottom: 20px;
  position: absolute;
  left: 50%;
  transform: translate(-50%);
}


#main-container #wallet-container{
  background-color: white;
  border-radius: 25px;
  height: 350px;
}

.avatar2 {
  z-index: -1;
  position: absolute;
  top: 40%;
  left: 20px;
	width: 120px;
	height: 120px;
	box-sizing: border-box;
	border-radius: 50%;
	overflow: hidden;
	box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
	transform: translatey(0px);
	animation: float 5s ease-in-out infinite;
	img { width: 100%; height: auto; }
}

body, html {
  height: 100%;
  background-color: #1b2845;
  background-image: linear-gradient(315deg, #1b2845 0%, #274060 74%);
  background-repeat: no-repeat;
}

#bg-image::before{
  content: "";
  position: absolute;
  left: 0; 
  right: 0;
  top: 0; 
  bottom: 0;
  background: rgba(27, 40, 69, .8);
}

.main-font{
  font-family: 'Rubik', sans-serif;
}

.header-font-size{
  font-size: 90px;
}

.sub-header-font-size{
  font-size: 60px;
}

.main-text-animation{
  text-transform: capitalize;
  background: linear-gradient(to right, #c7f7ff 20%, #12D8FA 40%, rgb(0, 255, 106) 60%, #c7f7ff 80%);
  
  background-size: 200% auto;
  
  color: #000;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  animation: shine 4s ease-out infinite;
}


.secondary-font{
  font-family: 'Karla', sans-serif;
}

.secondary-text-color{
  color: #c7f7ff;
}

.secondary-text-animation{

  text-transform: capitalize;
  
  background: linear-gradient(to right, #c7f7ff 20%, #ffffff 40%, #c7f7ff 60%, #c7f7ff 80%);
  
  
  background-size: 200% auto;
  
  color: #000;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  animation: shine 6s ease-in infinite;
}

@keyframes shine {
  to {
    background-position: 200% center;
  }
}

.horizontal-line{
  width: 100%;
  border-top: dashed 3px #c7f7ff ;
  margin: 0;
  padding: 0;
}

.card-coin-ico{
  position: absolute;
  top: 20px;
  left: 15px;
  width: 40px;
  height: 40px;
}




.avatar3 {
  z-index: -1;
  position: absolute;
  top: 50%;
  right: 50px;
	width: 120px;
	height: 120px;
	box-sizing: border-box;
	border-radius: 50%;
	overflow: hidden;
	box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
	transform: translatey(0px);
  opacity: .6;
	animation: float 5s ease-in-out infinite;
	img { width: 100%; height: auto; }
}


@keyframes float {
	0% {
		box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
		transform: translatey(0px);
	}
	50% {
		box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);
		transform: translatey(-20px);
	}
	100% {
		box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
		transform: translatey(0px);
	}
}

.rocket {
  position: absolute;
  bottom: -500px;
  left: 35%;
  z-index: -99;
  overflow: visible;
  animation: fly 5s .1s ease-in;
}

.rocket::after{
  visibility: hidden;
}

@keyframes fly {
  0% {
    bottom: -500px;
  }

  100% {
      bottom: 100%;
      opacity: 0;
  }
}
             
         
         
.btn-grad {
  background-image: linear-gradient(to right, #1FA2FF 0%, #12D8FA  51%, #1FA2FF  100%);
  margin: 10px;
  padding: 10px 10px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  font-size: 15px;
  background-size: 200% auto;       
  border-radius: 10px;
  display: block;
  border-style: none;
}

.btn-grad:hover {
  background-position: right center; /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
}

